MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023098Community[OCCT] OCCT:Configurationpublic2012-04-11 15:432012-11-16 13:18
ReporterPawel 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023098: Cppcheck warnings/errors in QA files
DescriptionThere are multiple QAxxx files in the distribution that can be pulled from the server. I assume they are some quality assurance routines bur wasn't sure about that.

Cppcheck 1.53 diagnoses multiple problems within those file.

As I don't know how to compile the files I attach a screenshot with the cppcheck report.
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon cppcheck_QA_problems.png (54,382 bytes) 2012-04-11 15:43
? file icon D1 (569 bytes) 2012-10-08 14:17

- Relationships
has duplicate 0023266closedika cppcheck warning: Logical disjunction always evaluates to true 

-  Notes
(0020762)
dbv (developer)
2012-06-22 13:23

The first two errors relate to accesses violation test and divide by zero test, respectively. So, it is normal that Cppcheck reports them. All other listed error has been fixed.

Git branch CR23098 is ready to be reviewed.

Dear Andrey,
Please review.
(0020772)
abv (manager)
2012-06-22 18:29

In QABugs_3.cxx, line 229 still contains delete without []. Please revise the code around: it has no sense (I guess unreacheable code warning should be reported). I suggest this function should accept complete path instead of trying to construct it with use of environment variable; this will eliminate the need to allocate the memory and its consequences.

In QADNaming_IteratorsCommands.cxx, please use either TCollection_AsciiString or automatic variable.

In QANewModTopOpe.cxx, why not reverting to use of math_Mat which is there but commented out?

In QANewDBRepNaming_FeatureCommands.cxx: is the command under question used in tests? it seems it should never work before... The same is worth to be checked for all other commands.
(0021647)
dbv (developer)
2012-10-03 18:58

Remarks have been fixed.

Branch has been rebased and pushed to the git CR23098_1

Dear Andrey,
Please review.
(0021648)
abv (manager)
2012-10-03 19:07

No remarks, please test
(0021666)
mkv (tester)
2012-10-05 12:11

Dear BugMaster,
Branch CR23098_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
chl 902 D1
nam 001 A2

Improvements:
Not detected

Testing cases:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR23098-master-products_04102012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-09-27-master-products_27092012/lin
See test cases in /QADisk/occttests/tests/ED
(0021668)
dbv (developer)
2012-10-05 13:26

Dear mkv,

Function BUC60609 from src/QABugs/QABugs_3.cxx now accept full path to the file instead of constructing it from environment variable. Thus test case chl 902 D1 should be modified.

Regression nam 001 A2 has been fixed.

Dear Andrey,
Please review.
(0021671)
abv (manager)
2012-10-05 14:29

No remarks (sorry for oversight!), please test
(0021677)
mkv (tester)
2012-10-08 14:13
edited on: 2012-10-08 14:55

Dear BugMaster,
Branch CR23098_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
nam 001 A2

Improvements:
Not detected

Testing cases:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR23098-master-2-products_05102012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-09-27-master-products_27092012/lin
See test cases in /QADisk/occttests/tests/ED

Test case chl 902 D1 will be modified after raising this fix.

(0021692)
dbv (developer)
2012-10-09 11:46

Regression fixed.

Please review.

(0021703)
abv (manager)
2012-10-09 20:53

No remarks, please test
(0021746)
mkv (tester)
2012-10-12 12:31

Dear BugMaster,
Branch CR23098_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR23098-master-2-products_05102012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-09-27-master-products_27092012/lin
See test cases in /QADisk/occttests/tests/ED

Test case chl 902 D1 will be modified after raising this fix.

- Related Changesets
occt: master f1e162f2
Timestamp: 2012-10-12 10:23:00
Author: dbv
Details ] Diff ]
0023098: Cppcheck warnings/errors in QA files

Fix for cppcheck warnings
Warning fixes
mod - src/QABugs/QABugs_13.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QABugs/QABugs_7.cxx Diff ] File ]
mod - src/QADNaming/QADNaming_IteratorsCommands.cxx Diff ] File ]
mod - src/QADraw/QADraw.cxx Diff ] File ]
mod - src/QANewDBRepNaming/QANewDBRepNaming.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-04-11 15:43 Pawel New Issue
2012-04-11 15:43 Pawel Assigned To => bugmaster
2012-04-11 15:43 Pawel File Added: cppcheck_QA_problems.png
2012-04-11 19:58 abv Assigned To bugmaster => dbv
2012-04-11 19:58 abv Status new => assigned
2012-06-22 13:23 dbv Note Added: 0020762
2012-06-22 13:23 dbv Assigned To dbv => abv
2012-06-22 13:23 dbv Status assigned => resolved
2012-06-22 18:29 abv Note Added: 0020772
2012-06-22 18:29 abv Assigned To abv => dbv
2012-06-22 18:29 abv Status resolved => assigned
2012-10-03 18:58 dbv Note Added: 0021647
2012-10-03 18:58 dbv Assigned To dbv => abv
2012-10-03 18:58 dbv Status assigned => resolved
2012-10-03 19:07 abv Note Added: 0021648
2012-10-03 19:07 abv Assigned To abv => bugmaster
2012-10-03 19:07 abv Status resolved => reviewed
2012-10-04 11:59 Pawel Relationship added has duplicate 0023266
2012-10-04 12:36 mkv Assigned To bugmaster => mkv
2012-10-05 12:11 mkv Note Added: 0021666
2012-10-05 12:13 mkv Test case number => Not needed
2012-10-05 12:13 mkv Assigned To mkv => dbv
2012-10-05 12:13 mkv Status reviewed => assigned
2012-10-05 13:26 dbv Note Added: 0021668
2012-10-05 13:26 dbv Assigned To dbv => abv
2012-10-05 13:26 dbv Status assigned => resolved
2012-10-05 14:29 abv Note Added: 0021671
2012-10-05 14:29 abv Assigned To abv => bugmaster
2012-10-05 14:29 abv Status resolved => reviewed
2012-10-05 18:03 mkv Assigned To bugmaster => mkv
2012-10-08 14:13 mkv Note Added: 0021677
2012-10-08 14:17 mkv File Added: D1
2012-10-08 14:20 mkv Assigned To mkv => dbv
2012-10-08 14:20 mkv Status reviewed => assigned
2012-10-08 14:55 mkv Note Edited: 0021677 View Revisions
2012-10-09 11:46 dbv Note Added: 0021692
2012-10-09 11:46 dbv Status assigned => resolved
2012-10-09 11:46 dbv Assigned To dbv => abv
2012-10-09 20:53 abv Note Added: 0021703
2012-10-09 20:53 abv Status resolved => reviewed
2012-10-10 18:49 mkv Assigned To abv => mkv
2012-10-12 12:31 mkv Note Added: 0021746
2012-10-12 12:32 mkv Assigned To mkv => bugmaster
2012-10-12 12:32 mkv Status reviewed => tested
2012-10-16 15:21 dbv Changeset attached => occt master f1e162f2
2012-10-16 15:21 dbv Assigned To bugmaster => dbv
2012-10-16 15:21 dbv Status tested => verified
2012-10-16 15:21 dbv Resolution open => fixed
2012-10-24 17:08 abv Target Version => 6.5.4
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed
2014-01-11 11:58 abv Category OCCT:Development Environment => OCCT:Configuration


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker